Summary: Expat is an XML 1.0 parser written in C.
Name: expat
Version: 1.95.8
Release: 5tr
License: MIT
Group: Trustix Official
Source: http://unc.dl.sourceforge.net/sourceforge/expat/expat-%{version}.tar.gz
URL: http://expat.sourceforge.net/
Patch1: expat-1.95.8-DESTDIR.patch
BuildRoot: /var/tmp/%{name}-buildroot
Requires: %{name}-libs = %{version}-%{release}

%description
Expat is an XML 1.0 parser written in C by James Clark.  It aims to be
fully conforming. It is not a validating XML parser.

%package libs
Summary: XML runtime libraries
Group: Trustix Official
Provides: libexpat.so.1

%description libs
The runtime XML libraries for expat

%package devel
Summary: XML development libraries
Group: Trustix Official
Requires: %{name}-libs = %{version}-%{release}

%description devel
The development XML libraries for expat
%prep

%setup -q
%patch1 -p1

%build
%configure
make lib xmlwf

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make install installlib DESTDIR=$RPM_BUILD_ROOT
install -D xmlwf/xmlwf $RPM_BUILD_ROOT/usr/bin/xmlwf
install -m 644 doc/xmlwf.1 $RPM_BUILD_ROOT/usr/share/man/man1/

pushd $RPM_BUILD_ROOT/usr/lib
	ln -s libexpat.so.0.5.0 libexpat.so.1
popd

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(0755,root,root,0755)
%doc COPYING Changes MANIFEST README doc/reference.html doc/style.css doc/valid-xhtml10.png
/usr/bin/xmlwf
/usr/share/man/man1/xmlwf.1.gz

%files libs
%defattr(0755,root,root,0755)
/%{_libdir}/*.so.*

%files devel
%defattr(0755,root,root,0755)
/%{_libdir}/*.so
/%{_libdir}/*.la
/%{_libdir}/*.a
/usr/include/expat.h
/usr/include/expat_external.h


%changelog
* Mon Nov 14 2005 Ajith Thampi <ajith at trustix dot org> 1.95.8-5tr
- Fix Requires.
		
* Tue Mar 15 2005 Thushara Gopalakrishnan <thushara at comodo dot com> 1.95.8-3tr
- Rebuilt

* Thu Oct 07 2004 Ajith Thampi <ajith at comodo dot com> 1.95.8-2tr
- Added expat_external to %filelist

* Sun Sep 19 2004 Erlend Midttun <erlendbm at trustix dot org> 1.95.8-1tr
- New upstream.

* Fri Jan 23 2004 Chr. Toldnes <christht at trustix dot org> 1.95.7-5ct
- Added libexpat.so.1 symlink

* Wed Dec  3 2003 Erlend Midttun <erlendbm at trustix dot org> 1.95.7-4tr
- Rebuilt.

* Wed Dec  3 2003 Chr. Toldnes <christht at trustix dot org> 1.95.7-3ct
- Split into libs and devel

* Wed Dec  3 2003 Chr. Toldnes <christht at trustix dot org> 1.95.7-2ct
- no conflict with apache, aoache should be fixed

* Thu Nov 27 2003 Chr. Toldnes <christht at trustix dot org> 1.95.7-1ct
- Initial release for TSL
- Based upon work by Fred L. Drake and Sean Reifschneider
